<%@ page
    contentType="text/html"
    session="true"
    pageEncoding="windows-1252"
    isELIgnored="false"
    import="javax.portlet.*,java.util.*"
%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.discussions.DiscussionsPortlet"/>
<portlet:defineObjects/>
<c:choose>
        <c:when test="${error_type == null and discussions_settings != 'true'}">
                <div class="forum-header">
                        <div class="forum-title">
                                <h2>
                                        WebCenter Discussion Forums
                                </h2>
                        </div>
                        <div class="forum-controls">
                                <input type="hidden" name="discussions_action" value=""/>		
                                <portlet:actionURL var="settingsUrl"/>					
                                <form name="Settings" id="${uid}_forum_settings_form" method="POST" action="${settingsUrl}">
                                        <fmt:message key='discussions.settings.label' var="discussions_settings_label"/>
                                        <input type="button" name="Settings" onclick="this.form.submit();" value="${discussions_settings_label}"/>
                                        <input type="hidden" name="discussions_action" value="settings"/>		
                                </form>
                        </div>				
                </div>			
                <div class="forum-content">
                        <jsp:include page="${discussions_view_mode}.jsp"/>		
                </div>
        </c:when>
        <c:when test="${error_type == 'invalid_user'}">
                <jsp:include page="create_user.jsp"/>
        </c:when>
        <c:otherwise>
                <jsp:include page="../edit.jsp"/>
                <c:choose>
                        <c:when test="${error_type == 'invalid_user'}">
                                <fmt:message key='discussions.invalid.user.msg' var="discussions_invalid_user_msg"/>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof discussionsPortlet_alert != "undefined") ? discussionsPortlet_alert("${uid}", "${discussions_invalid_user_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>
                        <c:when test="${error_type == 'invalid_category'}">
                                <fmt:message key='discussions.invalid.category.msg' var="discussions_invalid_category_msg">
                                        <fmt:param value="${discussions_category_id}"/>
                                </fmt:message>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof discussionsPortlet_alert != "undefined") ? discussionsPortlet_alert("${uid}", "${discussions_invalid_category_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>
                        <c:when test="${error_type == 'invalid_forum'}">
                                <fmt:message key='discussions.invalid.forum.msg' var="discussions_invalid_forum_msg">
                                        <fmt:param value="${discussions_forum_id}"/>
                                </fmt:message>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof discussionsPortlet_alert != "undefined") ? discussionsPortlet_alert("${uid}", "${discussions_invalid_forum_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>
                        <c:when test="${error_type == 'invalid_thread'}">
                                <fmt:message key='discussions.invalid.thread.msg' var="discussions_invalid_thread_msg">
                                        <fmt:param value="${discussions_thread_id}"/>
                                </fmt:message>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof discussionsPortlet_alert != "undefined") ? discussionsPortlet_alert("${uid}", "${discussions_invalid_thread_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>
                        <c:when test="${error_type == 'invalid_url'}">
                                <fmt:message key='discussions.invalid.url.msg' var="discussions_invalid_url_msg">
                                        <fmt:param value="${discussions_url}"/>
                                </fmt:message>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof discussionsPortlet_alert != "undefined") ? discussionsPortlet_alert("${uid}", "${discussions_invalid_url_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>				
                        <c:when test="${error_type == 'invalid_service'}">
                                <fmt:message key='discussions.invalid.service.msg' var="discussions_invalid_service_msg">
                                        <fmt:param value="${discussions_url}"/>
                                </fmt:message>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof discussionsPortlet_alert != "undefined") ? discussionsPortlet_alert("${uid}", "${discussions_invalid_service_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>
                        <c:otherwise>
                        </c:otherwise>
                </c:choose>
        </c:otherwise>
</c:choose>
