<%@ page
    contentType="text/html"
    session="true"
    pageEncoding="windows-1252"
    isELIgnored="false"
    import="javax.portlet.*,java.util.*"
%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.discussions.DiscussionsPortlet"/>
<portlet:defineObjects/>
<fmt:message key='discussions.done.label' var="discussions_done_label"/>
<jsp:include page="views/init.jsp"/>
<portlet:actionURL var="actionURL" portletMode="edit"/>
<c:set var="discussions_templates"><fmt:message key='discussions.templates'/></c:set>	
<div class="forum">
        <div class="forum-edit">
                <h3><fmt:message key='discussions.pref.desc'/></h3>
                <h4><fmt:message key='discussions.pref.urlexample1'/></h4>
                <h4 id="${uid}_message"></h4>		
                <form method="POST" action="${actionURL}">
                        <div>
                                <label for="discussions_url"><fmt:message key='discussions.url.label'/>:</label>
                                <input id="discussions_url" name="discussions_url" type="text" value="${discussions_url}"/>
                                <h4><fmt:message key='discussions.pref.urlexample2'/></h4>
                        </div>
                        <div>
                                <label for="discussions_category_id"><fmt:message key='discussions.category.id.label'/>:</label>
                                <input id="discussions_category_id" name="discussions_category_id" type="text" value="${discussions_category_id}"/>
                        </div>
                        <div>
                                <label for="discussions_forum_id"><fmt:message key='discussions.forum.id.label'/>:</label>
                                <input id="discussions_forum_id" name="discussions_forum_id" type="text" value="${discussions_forum_id}"/>
                        </div>
                        <div>
                                <label for="discussions_thread_id"><fmt:message key='discussions.thread.id.label'/>:</label>
                                <input id="discussions_thread_id" name="discussions_thread_id" type="text" value="${discussions_thread_id}"/>
                        </div>
                        <div>
                                <label for="discussions_message_id"><fmt:message key='discussions.message.id.label'/>:</label>
                                <input id="discussions_message_id" name="discussions_message_id" type="text" value="${discussions_message_id}"/>
                        </div>
                        <div>
                                <label for="discussions_page_size"><fmt:message key='discussions.page.size.label'/>:</label>
                                <input id="discussions_page_size" name="discussions_page_size" type="text" value="${discussions_page_size}"/>
                        </div>
                        <div>
                                <label for="discussions_view_mode"><fmt:message key='discussions.view.mode.label'/>:</label>
                                <select id="discussions_view_mode" name="discussions_view_mode">
                                        <c:choose>
                                                <c:when test="${discussions_view_mode == 'threads'}">
                                                        <option value="forums"><fmt:message key='discussions.view.mode.forums.label'/></option>
                                                        <option value="threads" selected="true"><fmt:message key='discussions.view.mode.threads.label'/></option>
                                                        <option value="messages"><fmt:message key='discussions.view.mode.messages.label'/></option>
                                                </c:when>
                                                <c:when test="${discussions_view_mode == 'messages'}">
                                                        <option value="forums"><fmt:message key='discussions.view.mode.forums.label'/></option>
                                                        <option value="threads"><fmt:message key='discussions.view.mode.threads.label'/></option>
                                                        <option value="messages" selected="true"><fmt:message key='discussions.view.mode.messages.label'/></option>
                                                </c:when>
                                                <c:otherwise>
                                                        <option value="forums" selected="true"><fmt:message key='discussions.view.mode.forums.label'/></option>
                                                        <option value="threads"><fmt:message key='discussions.view.mode.threads.label'/></option>
                                                        <option value="messages"><fmt:message key='discussions.view.mode.messages.label'/></option>
                                                </c:otherwise>
                                        </c:choose>
                                </select>
                        </div>
                        <div>
                                <label for="discussions_template"><fmt:message key='discussions.template.label'/>:</label>
                                <select id="discussions_template" name="discussions_template">
                                        <c:forTokens items="${discussions_templates}" delims="," var="template">
                                                <c:choose>
                                                        <c:when test="${discussions_template == template}">
                                                                <option value="${template}" selected="true">${template}</option>
                                                        </c:when>
                                                        <c:otherwise>
                                                                <option value="${template}">${template}</option>
                                                        </c:otherwise>
                                                </c:choose>
                                        </c:forTokens>
                                </select>
                        </div>
                        <div>
                                <input id="discussions_submit" name="discussions_submit" type="submit" value="${discussions_done_label}"/>
                        </div>
                </form>
        </div>
</div>
