<%@ page
    contentType="text/html"
    session="true"
    isELIgnored="false"
    import="javax.portlet.*,java.util.*"
%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.iframe.wiki.WikiPortlet"/>
<portlet:defineObjects/>
<portlet:actionURL var="actionUrl"/>
<c:set var="wiki_action" value="${wiki_action == null ? 'view' : wiki_action}"/>
<c:set var="wiki_action" value="${wiki_action != 'help' and (wiki_src == null or wiki_src == '') ? 'edit' : wiki_action}"/>
<div style="background: #C0C0C0; padding: 5px 5px 0px 5px;">
        <input type="hidden" name="wiki_action" value=""/>
        <form action="${actionUrl}" method="POST" style="display: inline">
                <input type="hidden" name="wiki_action" value="view"/>
                <input type="submit" value="View" style="color: #000000; background-color: ${wiki_action == 'view' ? '#FFFFFF' : 'transparent'}; border: 0px none;" name="submit"/>		
        </form>
        <form action="${actionUrl}" method="POST" style="display: inline">
                <input type="hidden" name="wiki_action" value="edit"/>
                <input type="submit" value="Edit" style="color: #000000; background-color: ${wiki_action == 'edit' ? '#FFFFFF' : 'transparent'}; border: 0px none;" name="submit"/>
        </form>
        <form action="${actionUrl}" method="POST" style="display: inline">
                <input type="hidden" name="wiki_action" value="help"/>
                <input type="submit" value="Help" style="color: #000000; background-color: ${wiki_action == 'help' ? '#FFFFFF' : 'transparent'}; border: 0px none;" name="submit"/>	
        </form>
</div>
<c:choose>
        <c:when test="${wiki_action != null and wiki_action != 'view'}">
                <jsp:include page="${wiki_action}.jsp"/>
        </c:when>
        <c:when test="${wiki_src == null or wiki_src == ''}">
                <jsp:include page="edit.jsp"/>
        </c:when>
        <c:otherwise>
                <iframe
                        name="wiki_frame"
                        style="width: 100%; height: 500px; overflow-x: hidden; overflow-y: auto; border: 0px none; background: transparent;"
                        allowTransparency="true"
                        frameborder="0"
                        scrolling="no"
                        src="${wiki_src}">
                </iframe>
        </c:otherwise>
</c:choose>