package samples.webcenter.beans;

public class Blog {
	protected String name;
	protected java.util.TreeMap<Long, BlogEntry> entries;
	
	public Blog(String name, java.util.TreeMap<Long, BlogEntry> entries) {
		this.name = name;
		this.entries = entries;
	}
	
	public String getName() {
		return this.name;
	}
	
	public java.util.TreeMap<Long, BlogEntry> getEntries() {
		return this.entries;
	}

	public BlogEntry getMostRecentEntry() {
                try {
                    long key = this.entries.firstKey();
                    BlogEntry entry = this.entries.get(key);
                    return entry;
		} catch (Exception e) {
                    //e.printStackTrace();
                }
		return null;
	}
}
